Skill List
curl --request GET \
--url https://www.aionmarket.com/bvapi/agent/skill/skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.aionmarket.com/bvapi/agent/skill/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.aionmarket.com/bvapi/agent/skill/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"skillCode": "<string>",
"skillName": "<string>",
"uploadUserId": 123,
"category": 123,
"version": "<string>",
"description": "<string>",
"howItWorks": "<string>",
"author": "<string>",
"clawhubUrl": "<string>",
"githubUrl": "<string>"
}
]
}Skills
Skills
Get discoverable skills from the public registry. Only returns skills with review_status=2 (approved) and is_visible=1.
GET
/
agent
/
skill
/
skills
Skill List
Get discoverable skills from the public registry view. Only skills with:review_status = 2(approved)is_visible = 1(visible)
Endpoint
GET /agent/skill/skills
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer API_KEY_CODE |
Query Params
| Field | Type | Required | Description |
|---|---|---|---|
category | number | No | Skill category filter (1 Official, 2 Partner) |
limit | number | No | Page size, default 20, max 100 |
offset | number | No | Pagination offset, default 0 |
Example
curl -X GET "https://www.aionmarket.com/bvapi/agent/skill/skills?category=2&limit=20&offset=0" \
-H "Authorization: Bearer YOUR_API_KEY"
Response Example
{
"list": [
{
"skillCode": "7f3b9f2a-2051-4be3-b0cc-7a9c4c8d0f15",
"skillName": "Weather Arbitrage",
"uploadUserId": 35,
"category": 2,
"version": "1.0.0",
"author": "AION Trader",
"description": "Use weather signals to identify divergence.",
"difficultyLevel": 2,
"installCount": 0,
"how_it_works": "Scan weather events and place entries.",
"clawhubUrl": "",
"githubUrl": "",
"createSource": 1,
"reviewStatus": 2,
"reviewRemark": "Approved",
"createdAt": "1713000000000",
"updatedAt": "1713000000000"
}
],
"total": 1
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Skill category: 1=Official, 2=Partner
Available options:
1, 2 Page size (default 20, max 100)
Required range:
1 <= x <= 100Pagination offset
Required range:
x >= 0Response
200 - application/json
Skill list
Show child attributes
Show child attributes
⌘I